Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GraphProperty Class Reference
[Properties]

`#include <GraphProperty.h>`

Inherits tlp::AbstractProperty< GraphType, EdgeSetType >, tlp::GraphObserver, and tlp::PropertyObserver.

Inheritance diagram for tlp::GraphProperty:

[legend]
Collaboration diagram for tlp::GraphProperty:

[legend]
List of all members.

## Public Member Functions

- GraphProperty (Graph *, std::string n="")
- virtual ~GraphProperty ()
- PropertyInterface * clonePrototype (Graph *, const std::string &)
- void copy (const node, const node, PropertyInterface *)
- void copy (const edge, const edge, PropertyInterface *)
- void destroy (Graph *)
- bool setNodeStringValue (const node n, const std::string &v)
- bool setAllNodeStringValue (const std::string &v)
- bool setEdgeStringValue (const edge e, const std::string &v)
- bool setAllEdgeStringValue (const std::string &v)
- virtual void beforeSetNodeValue (PropertyInterface *prop, const node n)
- virtual void afterSetNodeValue (PropertyInterface *prop, const node n)
- virtual void beforeSetAllNodeValue (PropertyInterface *prop)
- virtual void afterSetAllNodeValue (PropertyInterface *prop)

## Friends

- class GraphAbstract

## Constructor & Destructor Documentation

tlp::GraphProperty::GraphProperty | ( | Graph * | ,
|  | std::string | n = `""`
| ) |

virtual tlp::GraphProperty::~GraphProperty | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void tlp::GraphProperty::afterSetAllNodeValue | ( | PropertyInterface * | prop | ) | `[virtual]`

| Reimplemented from tlp::PropertyObserver.

virtual void tlp::GraphProperty::afterSetNodeValue | ( | PropertyInterface * | prop,
|  | const node | n
| ) | `[virtual]`

| Reimplemented from tlp::PropertyObserver.

virtual void tlp::GraphProperty::beforeSetAllNodeValue | ( | PropertyInterface * | prop | ) | `[virtual]`

| Reimplemented from tlp::PropertyObserver.

virtual void tlp::GraphProperty::beforeSetNodeValue | ( | PropertyInterface * | prop,
|  | const node | n
| ) | `[virtual]`

| Reimplemented from tlp::PropertyObserver.

PropertyInterface* tlp::GraphProperty::clonePrototype | ( | Graph * | ,
|  | const std::string & |
| ) | `[virtual]`

| Implements tlp::PropertyInterface.

void tlp::GraphProperty::copy | ( | const | edge,
|  | const | edge,
|  | PropertyInterface * |
| ) | `[virtual]`

| Implements tlp::PropertyInterface.

void tlp::GraphProperty::copy | ( | const | node,
|  | const | node,
|  | PropertyInterface * |
| ) | `[virtual]`

| Implements tlp::PropertyInterface.

void tlp::GraphProperty::destroy | ( | Graph * |  | ) | `[virtual]`

| Reimplemented from tlp::GraphObserver.

bool tlp::GraphProperty::setAllEdgeStringValue | ( | const std::string & | v | ) | `[virtual]`

| Reimplemented from tlp::AbstractProperty< GraphType, EdgeSetType >.

bool tlp::GraphProperty::setAllNodeStringValue | ( | const std::string & | v | ) | `[virtual]`

| Reimplemented from tlp::AbstractProperty< GraphType, EdgeSetType >.

bool tlp::GraphProperty::setEdgeStringValue | ( | const edge | e,
|  | const std::string & | v
| ) | `[virtual]`

| Reimplemented from tlp::AbstractProperty< GraphType, EdgeSetType >.

bool tlp::GraphProperty::setNodeStringValue | ( | const node | n,
|  | const std::string & | v
| ) | `[virtual]`

| Reimplemented from tlp::AbstractProperty< GraphType, EdgeSetType >.

## Friends And Related Function Documentation

friend class GraphAbstract`[friend]`

Tulip Software by LaBRI Visualization Team 2001 - 2010